/*
 * module program  H.Niwa copyright (C) 2009 - 2010
 */

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301, USA.
 */

#ifndef __MODULE_H
#define __MODULE_H

extern List* module;

extern int  ModuleCompare(Node* l1, Node* l2);
extern void ModuleSort(List* module);
extern int  Assert(List* module, Node* nd);
extern int  Asserta(List* module, Node* nd);
extern void PPmodule(Node* nd, FILE* fd=stdout);
extern void PPmoduleOld(Node* nd, FILE* fd=stdout);
extern void PPmoduleBody(int tabs, Node* nd, FILE* fd=stdout);

#endif 
